
Redmine - Patch #26322

Update simplecov gem (~> 0.14.1)

2017-07-03 10:57 - Дмитрий Минжёнков

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.0.0   

Description

There is no track_files method in current version.

Environment:

Redmine version                3.3.3.stable

Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux]

Rails version                  4.2.7.1

Environment                    development

Database adapter               PostgreSQL

Associated revisions

Revision 16772 - 2017-07-08 15:25 - Jean-Philippe Lang

Use latest simplecov gem (#26322).

History

#1 - 2017-07-03 13:28 - Дмитрий Минжёнков

- File simplecov_update.diff added

svn patch

#2 - 2017-07-03 15:53 - Mischa The Evil

- Tracker changed from Defect to Patch

- Subject changed from Outdated simplecov gem to Update simplecov gem (~> 0.11.2)

- Category set to Gems support

- Target version set to 4.1.0

Дмитрий Минжёнков wrote:

There is no track_files method in current version.

 This doesn't seem to be a Redmine problem as Redmine does not use the track_files configuration option.

Note: I've deleted the first patch because it contains changes to the unversioned Gemfile.lock file.

#3 - 2017-07-03 15:55 - Mischa The Evil

- File deleted (0001-simplecov-track_files.patch)

#4 - 2017-07-04 11:06 - Dmitry Lisichkin

Mischa The Evil wrote:

This doesn't seem to be a Redmine problem as Redmine does not use the track_files configuration option.

 But it can be used in plugins (actually we already have this problem and modify Gemfile for this purposes).

#5 - 2017-07-08 15:26 - Jean-Philippe Lang

- Subject changed from Update simplecov gem (~> 0.11.2) to Update simplecov gem (~> 0.14.1)
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Updated to latest simplecov.

#6 - 2017-07-08 18:37 - Jean-Philippe Lang

- Target version changed from 4.1.0 to 4.0.0

Files

simplecov_update.diff 433 Bytes 2017-07-03 Дмитрий Минжёнков
